[General]
Caption=Арена Роботов
Width=260
Height=250

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

[Button1]
Type=Button
TrackLook=1
Text=Игра
picture=ra.ico
HorizontalText=1
HorizontalAlignment=1
FontHeight=24
FontWeight=700
FontName=Arial
X=10
Y=10
Height=50
Width=240
ToolTip=Щелкните сюда мышкой для запуска/установки игры

OnClick=Macro
OnClickArg1=Run_Game1

OnMouseOver=Macro
OnMouseOverArg1=Over_Game1

OnMouseOut=Macro
OnMouseOutArg1=Out_Game1

[Run_Game1]
Type=Macro
1=RunRegDir
1Arg1=HKEY_LOCAL_MACHINE\Software\Microsoft\Windows\CurrentVersion\App Paths\Robot Arena.exe\Path
1Arg2=\Robot Arena.exe
1Arg4=Install_Game1
2=Exit

[Install_Game1]
Type=Macro
1=Run
1Arg1=setup.exe
2=Exit

[Over_Game1]
Type=Macro
2=Color
2Arg1=Button1
2Arg2=255,0,0

[Out_Game1]
Type=Macro
2=DefColor
2Arg1=Button1


;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

[Button2]
Type=Button
TrackLook=1
Text=Установка
picture=install.ico
HorizontalText=1
HorizontalAlignment=1
VerticalAlignment=1
FontHeight=24
FontWeight=700
FontName=Arial
X=10
Y=70
Width=240
Height=50
ToolTip=Щелкните сюда мышкой для запуска/установки игры

OnClick=Macro
OnClickArg1=Run_Game2

OnMouseOver=Macro
OnMouseOverArg1=Over_Game2

OnMouseOut=Macro
OnMouseOutArg1=Out_Game2

[Run_Game2]
Type=Macro
1=Run
1Arg1=setup.exe
2=Exit

[Over_Game2]
Type=Macro
2=Color
2Arg1=Button2
2Arg2=255,0,0


[Out_Game2]
Type=Macro
2=DefColor
2Arg1=Button2


;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

[Button3]
Type=Button
TrackLook=1
Picture=directx.ico
Text=DirectX
HorizontalText=1
HorizontalAlignment=1
FontName=Verdana
FontWeight=700
FontHeight=20
X=10
Y=130
Height=50
Width=240
ToolTip=Щелкните сюда мышкой для установки DirectX

OnClick=Macro
OnClickArg1=Run_Game3

OnMouseOver=Macro
OnMouseOverArg1=Over_Game3

OnMouseOut=Macro
OnMouseOutArg1=Out_Game3

[Run_Game3]
Type=Macro
1=Run
1Arg1=DirectX8\dxsetup.exe

[Over_Game3]
Type=Macro
2=Color
2Arg1=Button3
2Arg2=255,0,0

[Out_Game3]
Type=Macro
2=DefColor
2Arg1=Button3

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

[Button4]
Type=Button
TrackLook=1
Text=Выход
HorizontalText=1
HorizontalAlignment=1
FontName=Arial
FontHeight=24
FontWeight=700
X=10
Y=180
Height=50
Width=240
ToolTip=Закрыть окошко

OnClick=Exit

OnMouseOver=Macro
OnMouseOverArg1=Over_Game3

OnMouseOut=Macro
OnMouseOutArg1=Out_Game3

[Over_Game4]
Type=Macro
2=Color
2Arg1=Button3
2Arg2=255,0,0

[Out_Game4]
Type=Macro
2=DefColor
2Arg1=Button3

